       PROGRAM DECOCALC
       CHARACTER COMAND*3, WORD*7, LINE1*70
       INTEGER NUMMIX, PROFIL, SEGNUM, MIXNUM
       REAL RTIME, PAMB, PH2O, FACTOR, CEILNG, STOPD, STEPSZ
       REAL FO2, FHE, FN2, FSUM, CKSUM, CHANGE, PMVMAX, SGTIME
       REAL PHE, PN2, HALFTH, HALFTN, KHE, KN2, FCTRHI, FCTRLO, FCTRSL
       REAL DEPTH, FDEPTH, SDEPTH, RATE, SRTIME, DECORT, STOPT
       REAL O2DECO, TEMP1, TEMP2, NXSTOP, STOPGF, TRIALD
       DIMENSION FO2(10), FHE(10), FN2(10), PHE(16), PN2(16) 
       DIMENSION HALFTH(16), HALFTN(16), KHE(16), KN2(16) 
       COMMON /A/ FHE, KHE, KN2, PH2O, /B/ RTIME, SEGNUM, FN2, SGTIME
       COMMON /B/ MIXNUM, /C/ PHE, PN2, /D/ PAMB, /F/ FACTOR, /J/ O2DECO 
       DATA HALFTN(1)/5.0/,HALFTH(1)/1.88/
       DATA HALFTN(2)/8.0/,HALFTH(2)/3.02/
       DATA HALFTN(3)/12.5/,HALFTH(3)/4.72/
       DATA HALFTN(4)/18.5/,HALFTH(4)/6.99/
       DATA HALFTN(5)/27/,HALFTH(5)/10.21/
       DATA HALFTN(6)/38.3/,HALFTH(6)/14.48/
       DATA HALFTN(7)/54.3/,HALFTH(7)/20.53/
       DATA HALFTN(8)/77/,HALFTH(8)/29.11/
       DATA HALFTN(9)/109/,HALFTH(9)/41.2/
       DATA HALFTN(10)/146/,HALFTH(10)/55.19/
       DATA HALFTN(11)/187/HALFTH(11)/70.69/
       DATA HALFTN(12)/239/HALFTH(12)/90.34/
       DATA HALFTN(13)/305/HALFTH(13)/115.29/
       DATA HALFTN(14)/390/HALFTH(14)/147.42/
       DATA HALFTN(15)/498/HALFTH(15)/188.24/
       DATA HALFTN(16)/635/HALFTH(16)/240.02/
       PH2O = 0.567
       RTIME = 0.0
       SEGNUM = 0
       DO 10 I = 1,16
            KHE(I) = ALOG(2.0)/HALFTH(I)
            KN2(I) = ALOG(2.0)/HALFTN(I)
            PHE(I) = 0.00
            PN2(I) = 7.452
 10    CONTINUE
       
       PRINT *,' '
       PRINT *,'DECOCALC PROGRAM'
       PRINT *,'Based in the source code written by Erik C. Baker'
       PRINT *,'Buhlmann ZHL16b algorithm + Gradient Factors'
       PRINT *,'Compiled with Fortran 77 (GNU) in Feb.1999'
       PRINT *,' '
       PRINT *,'DISCLAIMER: anybody who uses this program to calculate'
       PRINT *,'actual dives takes full responsibility for their own'
       PRINT *,'actions and understand/accept all the risks inherent'
       PRINT *,'in technical diving.'

       OPEN (UNIT = 7, FILE = 'DECOCALC.IN', STATUS = 'UNKNOWN', 
     *  ACCESS = 'SEQUENTIAL', FORM = 'FORMATTED')
       OPEN (UNIT = 8, FILE = 'DECOCALC.OUT', STATUS = 'UNKNOWN', 
     *  ACCESS = 'SEQUENTIAL', FORM = 'FORMATTED')     
       READ (7,801) LINE1
       WRITE (8,802)
       WRITE (8,800)
       WRITE (8,803) LINE1
       WRITE (8,800)
       READ (7,*) NUMMIX
       DO 45 I = 1, NUMMIX    
            READ (7,*) FO2(I), FHE(I), FN2(I)
            FSUM = FO2(I) + FHE(I) + FN2(I)
            CKSUM = FSUM
            IF (CKSUM .NE. 1.0) THEN
                
                PRINT *,' '
                PRINT *,'ERROR IN DECOCALC.IN FILE (GASMIX DATA
     *) - PROGRAM TERMINATED'
                PRINT *,' '
                GOTO 350
            END IF
 45    CONTINUE
       WRITE (8,806)
       DO 55 J = 1, NUMMIX
           WRITE (8,807) J, FO2(J), FHE(J), FN2(J)
 55    CONTINUE
       READ (7,*) O2DECO
       WRITE (8,800)
       WRITE (8,808) O2DECO
       WRITE (8,800)
       WRITE (8,809)
       WRITE (8,810)
       WRITE (8,811)
       WRITE (8,800)
       WRITE (8,812)
       WRITE (8,813)
       WRITE (8,814)
       WRITE (8,815)
       WRITE (8,816)
       WRITE (8,817)
       WRITE (8,818)
       WRITE (8,800)
       WRITE (8,820)
       WRITE (8,800)
       WRITE (8,821)
       WRITE (8,822)
       WRITE (8,823)
       WRITE (8,824)
 100   CONTINUE
       READ (7,*) PROFIL
       IF (PROFIL .EQ. 1) THEN
            READ (7,*) SDEPTH, FDEPTH, RATE, MIXNUM       
            CALL ASCDEC (SDEPTH, FDEPTH, RATE)
            IF (FDEPTH .GT. SDEPTH) THEN
                WORD = 'Descens'
            ELSE IF (SDEPTH .GT. FDEPTH) THEN
                WORD = 'Ascens '
            ELSE
                WORD = 'ERROR'          
            END IF
            WRITE (8,830) SEGNUM, SGTIME, RTIME, MIXNUM, WORD, 
     *  SDEPTH, FDEPTH, RATE
       ELSE IF (PROFIL .EQ. 2) THEN
            READ (7,*) DEPTH, SRTIME, MIXNUM  
            CALL CDEPTH (DEPTH, SRTIME)
            WRITE (8,831) SEGNUM, SGTIME, RTIME, MIXNUM, DEPTH
       ELSE IF (PROFIL .EQ. 99) THEN
            GOTO 200
       ELSE
            
            PRINT *,' '
            PRINT *,'ERROR IN DECOCALC.IN FILE (PROFILE CODE) - 
     * PROGRAM TERMINATED'
            PRINT *,' '
            GOTO 350    
       END IF 
       GOTO 100
 200   CONTINUE
       READ (7,*) SDEPTH
       READ (7,*) MIXNUM, RATE, STEPSZ, FCTRHI, FCTRLO
       READ (7,*) CHANGE
       WRITE (8,800)
       WRITE (8,840)
       WRITE (8,800)
       WRITE (8,841)
       WRITE (8,842)
       WRITE (8,843)
       WRITE (8,844)
       DECORT = 0.0
       FACTOR = FCTRLO
       TEMP1 = (SDEPTH/3.0) - 0.5
       TRIALD = AINT(TEMP1) * 3.0
       TEMP2 = TRIALD
       IF (TEMP2 .LE. 0.0) THEN
            TRIALD = 0.0
       END IF
 230   CALL SAFASC (CEILNG)
       IF (CEILNG .GT. TRIALD) THEN
            STOPD = SDEPTH
            NXSTOP = TRIALD
            GOTO 240
       END IF
       CALL ASCDEC (SDEPTH, TRIALD, RATE)
       CALL MVCALC (PMVMAX)
       IF (TRIALD .EQ. 0.0) THEN           
            WRITE (8,850) SEGNUM, SGTIME, RTIME, MIXNUM, TRIALD, RATE, 
     *  PMVMAX, FACTOR
            GOTO 300
       ELSE
            WRITE (8,851) SEGNUM, SGTIME, RTIME, MIXNUM, TRIALD, RATE, 
     *  PMVMAX
       END IF
       IF (CHANGE .EQ. TRIALD) THEN
            READ (7,*) MIXNUM, RATE, STEPSZ   
            READ (7,*) CHANGE
       END IF
       SDEPTH = TRIALD
       TRIALD = SDEPTH - 3.0
       GOTO 230
 240   IF (STOPD .GT. 0.0) THEN
            FCTRSL = (FCTRHI - FCTRLO)/(0.0 - STOPD)
       END IF    
 250   STOPGF = FACTOR
       FACTOR = NXSTOP*FCTRSL + FCTRHI
       CALL DSTOP (STOPD, NXSTOP)
       IF (DECORT .EQ. 0.0) THEN
            STOPT = ANINT(SGTIME + 0.5)
       ELSE
            STOPT = RTIME - DECORT
       END IF
       WRITE (8,852) SEGNUM, SGTIME, RTIME, MIXNUM, INT(STOPD),
     * INT(STOPT), INT(RTIME), STOPGF
       SDEPTH = STOPD
       STOPD = NXSTOP
       DECORT = RTIME
       CALL ASCDEC (SDEPTH, STOPD, RATE)
       PAMB = STOPD + 10.0
       CALL MVCALC (PMVMAX)
       IF (STOPD .EQ. 0.0) THEN
            WRITE (8,850) SEGNUM, SGTIME, RTIME, MIXNUM, STOPD, RATE, 
     *  PMVMAX, FACTOR       
       ELSE
            WRITE (8,851) SEGNUM, SGTIME, RTIME, MIXNUM, STOPD, RATE, 
     *  PMVMAX
       END IF
       IF (STOPD .EQ. 0.0) THEN
            GOTO 300
       END IF
       IF (CHANGE .EQ. STOPD) THEN
            READ (7,*) MIXNUM, RATE, STEPSZ   
            READ (7,*) CHANGE
       END IF
       IF (STOPD - STEPSZ .LT. 0.0) THEN
            NXSTOP = 0.0
       ELSE     
            NXSTOP = STOPD - STEPSZ
       END IF
       GOTO 250
 300   CONTINUE
       WRITE (*,800)
       WRITE (*,860)
       WRITE (*,861)
       WRITE (*,800)
 350   CONTINUE
       CLOSE (UNIT = 7, STATUS = 'KEEP')
       CLOSE (UNIT = 8, STATUS = 'KEEP')
 800   FORMAT (' ')
 801   FORMAT (A70)
 802   FORMAT ('DECOCALC based in Buhlmann ZHL16b algorithm + Gradient F
     *actors (Erik C.Baker)')
 803   FORMAT ('Description',4X,A70)
 806   FORMAT ('Gasmixes used',26X,'FO2',4X,'FHe',4X,'FN2')
 807   FORMAT (25X,'Gasmix #',I2,2X,F5.3,2X,F5.3,2X,F5.3)
 808   FORMAT ('O2 Deco Factor:  80-100% Nitrox or O2 mixes calculated',
     * 1X,'at',2P,F5.0,'% of actual O2 fraction') 
 809   FORMAT ('DISCLAIMER:   anybody who uses this program to calculate
     * actual dives takes')
 810   FORMAT ('full responsability for their own actions and understand
     */accept all the risks')
 811   FORMAT ('inherent in technical diving.')
 812   FORMAT ('This dive schedule is experimental, under no circumstanc
     *es there is any') 
 813   FORMAT ('implication that is safe or that you wont get bent, use
     *it at your own risk.')
 814   FORMAT ('This schedule is not intended for uneducated users, it i
     *s just a tool for') 
 815   FORMAT ('experienced mixed-gas decompression divers ONLY. If you 
     *have not been properly') 
 816   FORMAT ('trained in mixed-gas decompression diving by an internat
     *ionally recognized')
 817   FORMAT ('technical certification agency and/or do not have a firm 
     * handle on')
 818   FORMAT ('decompression planning and mixed-gas diving DO NOT USE T
     *HIS DIVE SCHEDULE.')
              
 820   FORMAT (31X,'DIVE PROFILE')
 821   FORMAT ('Seg-',2X,'Segm.',2X,'Run',3X,'|',1X,'Gasmix',1X,'|',1X,
     * 'Ascent',4X,'From',5X,'To',6X,'Rate',4X,'|',1X,'Constant')
 822   FORMAT ('ment',2X,'Time',3X,'Time',2X,'|',2X,'Used',2X,'|',3X,
     * 'or',5X,'Depth',3X,'Depth',4X,'+Dn/-Up',2X,'|',2X,'Depth')
 823   FORMAT (2X,'#',3X,'(min)',2X,'(min)',1X,'|',4X,'#',3X,'|',1X,
     *  'Descent',2X,'(mswg)',2X,'(mswg)',2X,'(msw/min)',1X,
     *  '|',2X,'(mswg)')
 824   FORMAT ('-----',1X,'-----',2X,'-----',1X,'|',1X,'------',1X,'|',
     * 1X,'-------',2X,'------',2X,'------',2X,'---------',1X,
     * '|',1X,'--------')
 830   FORMAT (I3,3X,F5.1,1X,F6.1,1X,'|',3X,I2,3X,'|',1X,A7,F7.0,
     * 1X,F7.0,3X,F7.1,3X,'|')
 831   FORMAT (I3,3X,F5.1,1X,F6.1,1X,'|',3X,I2,3X,'|',36X,'|',F7.0)
 840   FORMAT (31X,'DECOMPRESSION PROFILE')
 841   FORMAT ('Seg-',2X,'Segm.',2X,'Run',3X,'|',1X,'Gasmix',1X,'|',1X,
     * 'Ascent',3X,'Ascent',3X,'Max',3X,'|',2X,'DECO',3X,'STOP',
     * 3X,'RUN',5X,'Gradient')
 842   FORMAT ('ment',2X,'Time',3X,'Time',2X,'|',2X,'Used',2X,'|',3X,
     * 'To',6X,'Rate',4X,'%M-',3X,'|',2X,'STOP',3X,'TIME',3X,
     * 'TIME',4X,'Factor')
 843   FORMAT (2X,'#',3X,'(min)',2X,'(min)',1X,'|',4X,'#',3X,'|',1X,
     * '(mswg)',1X,'(msw/min)',1X,'Value',2X,'|',1X,'(mswg)',
     * 2X,'(min)',2X,'(min)',4X,'(GF)')
 844   FORMAT ('-----',1X,'-----',2X,'-----',1X,'|',1X,'------',1X,'|',
     * 1X,'------',1X,'---------',1X,'------',1X,'|',1X,
     * '------',2X,'-----',2X,'-----',3X,'------')
 850   FORMAT (I3,3X,F5.1,1X,F6.1,1X,'|',3X,I2,3X,'|',2X,F4.0,3X,F6.1,
     * 3X,2P,F5.1,'%',1X,'|',24X,0P,F5.2)
 851   FORMAT (I3,3X,F5.1,1X,F6.1,1X,'|',3X,I2,3X,'|',2X,F4.0,3X,F6.1,
     * 3X,2P,F5.1,'%',1X,'|')
 852   FORMAT (I3,3X,F5.1,1X,F6.1,1X,'|',3X,I2,3X,'|',25X,'|',3X,I3,4X,
     * I3,3X,I4,4X,F5.2)

 860   FORMAT (' PROGRAM CALCULATIONS COMPLETE')
 861   FORMAT (' Output data is located in the file DECOCALC.OUT')
       END
       
       
       SUBROUTINE ASCDEC (SDEPTH, FDEPTH, RATE)
 
       INTEGER MIXNUM, TEMPSG, SEGNUM
       REAL FHE, FN2, KHE, KN2, PHEO, PN2O, PHE, PN2, PH2O
       REAL FDEPTH, SDEPTH, PIHEO, PIN2O, RATE, RTIME, SGTIME, TEMPRT
       REAL HERATE, N2RATE, SPAMB, PAMB, FPAMB
       DIMENSION FHE (10), FN2(10), KHE(16), KN2(16) 
       DIMENSION PHEO(16), PN2O(16), PHE(16), PN2(16)
       COMMON /A/ FHE, KHE, KN2, PH2O, /B/ RTIME, SEGNUM, FN2, SGTIME
       COMMON /B/ MIXNUM, /C/ PHE, PN2, /D/ PAMB    
       SGTIME = (FDEPTH - SDEPTH)/RATE
       TEMPRT = RTIME
       RTIME = TEMPRT + SGTIME
       TEMPSG = SEGNUM
       SEGNUM = TEMPSG + 1
       SPAMB = SDEPTH + 10.0
       FPAMB = FDEPTH + 10.0
       PAMB = FPAMB
       PIHEO = (SPAMB - PH2O)*FHE(MIXNUM)
       PIN2O = (SPAMB - PH2O)*FN2(MIXNUM)
       HERATE = RATE*FHE(MIXNUM)
       N2RATE = RATE*FN2(MIXNUM)
       DO 430 I = 1,16
       PHEO(I) = PHE(I)
       PN2O(I) = PN2(I)
       PHE(I) = PIHEO + HERATE*(SGTIME - 1.0/KHE(I)) - (PIHEO - PHEO(I) 
     * - HERATE/KHE(I))*EXP (-KHE(I)*SGTIME)
       PN2(I) = PIN2O + N2RATE*(SGTIME - 1.0/KN2(I)) - (PIN2O - PN2O(I) 
     * - N2RATE/KN2(I))*EXP (-KN2(I)*SGTIME)
 
 430   CONTINUE
       RETURN
       END
       
       
       SUBROUTINE CDEPTH (DEPTH, SRTIME)
 
       INTEGER MIXNUM, TEMPSG, SEGNUM
       REAL FHE, FN2, KHE, KN2, PHEO, PN2O, PHE, PN2, PH2O, SRTIME
       REAL DEPTH, PAMB, PIHE, PIN2, RTIME, SGTIME, TEMPRT
       DIMENSION FHE (10), FN2(10), KHE(16), KN2(16) 
       DIMENSION PHEO(16), PN2O(16), PHE(16), PN2(16)
       COMMON /A/ FHE, KHE, KN2, PH2O, /B/ RTIME, SEGNUM, FN2, SGTIME
       COMMON /B/ MIXNUM, /C/ PHE, PN2, /D/ PAMB   
       SGTIME = SRTIME - RTIME
       TEMPRT = SRTIME
       RTIME = TEMPRT
       TEMPSG = SEGNUM
       SEGNUM = TEMPSG + 1
       PAMB = DEPTH + 10.0
       PIHE = (PAMB - PH2O)*FHE(MIXNUM)
       PIN2 = (PAMB - PH2O)*FN2(MIXNUM)
       DO 520 I = 1,16
       PHEO(I) = PHE(I)
       PN2O(I) = PN2(I)
       PHE(I) = PHEO(I) + (PIHE - PHEO(I))*(1.0 - EXP (-KHE(I)*SGTIME))
       PN2(I) = PN2O(I) + (PIN2 - PN2O(I))*(1.0 - EXP (-KN2(I)*SGTIME))
 520   CONTINUE
       RETURN
       END
       
       
       SUBROUTINE SAFASC (CEILNG)
 
       REAL AHE, BHE, AN2, BN2, AHEN2, BHEN2
       REAL PHE, PN2, PHEN2, PAMBT, SAFEAD, FACTOR, CEILNG
       DIMENSION AHE(16), BHE(16), AN2(16), BN2(16) 
       DIMENSION AHEN2(16), BHEN2(16), PHE(16), PN2(16)
       DIMENSION PHEN2(16), PAMBT(16), SAFEAD(16)
       COMMON /C/ PHE, PN2, /E/ AHE, BHE, AN2, BN2, /F/ FACTOR 
       CEILNG = 0.0
       DO 600 I = 1,16
       PHEN2(I) = PHE(I) + PN2(I)
       AHEN2(I) = (PHE(I)*AHE(I) + PN2(I)*AN2(I))/PHEN2(I)
       BHEN2(I) = (PHE(I)*BHE(I) + PN2(I)*BN2(I))/PHEN2(I)
       PAMBT(I) = (PHEN2(I) - AHEN2(I)*FACTOR)/(FACTOR/BHEN2(I) - 
     * FACTOR + 1.0)
       SAFEAD(I) = PAMBT(I) - 10.0
       CEILNG = MAX(CEILNG, SAFEAD(I))  
 600   CONTINUE
       RETURN
       END
       
       
       SUBROUTINE DSTOP (STOPD, NXSTOP)
 
       INTEGER MIXNUM, TEMPSG, SEGNUM
       REAL FHE, FN2, KHE, KN2, PHEO, PN2O, PHE, PN2, PH2O
       REAL STOPD, PAMB, PIHE, PIN2, RTIME, SGTIME, TEMPRT
       REAL CEILNG, NXSTOP, ROUND, TEMPST, COUNT, O2DECO
       DIMENSION FHE (10), FN2(10), KHE(16), KN2(16) 
       DIMENSION PHEO(16), PN2O(16), PHE(16), PN2(16)
       COMMON /A/ FHE, KHE, KN2, PH2O, /B/ RTIME, SEGNUM, FN2, SGTIME
       COMMON /B/ MIXNUM, /C/ PHE, PN2, /D/ PAMB, /J/ O2DECO  
       TEMPRT = RTIME
       ROUND = ANINT(TEMPRT + 0.5)
       SGTIME = ROUND - RTIME
       RTIME = ROUND
       TEMPST = SGTIME
       TEMPSG = SEGNUM
       SEGNUM = TEMPSG + 1
       PAMB = STOPD + 10.0
       PIHE = (PAMB - PH2O)*FHE(MIXNUM)
       IF ((FN2(MIXNUM) .GE. 0.0) .AND. (FN2(MIXNUM) .LE. 0.2)) THEN
            PIN2 = (PAMB - PH2O)*(1.0 - O2DECO + O2DECO*FN2(MIXNUM))
       ELSE
            PIN2 = (PAMB - PH2O)*FN2(MIXNUM)
       END IF
 700   DO 720 I = 1,16
       PHEO(I) = PHE(I)
       PN2O(I) = PN2(I)
       PHE(I) = PHEO(I) + (PIHE - PHEO(I))*(1.0 - EXP (-KHE(I)*SGTIME))
       PN2(I) = PN2O(I) + (PIN2 - PN2O(I))*(1.0 - EXP (-KN2(I)*SGTIME))
 720   CONTINUE
       CALL SAFASC (CEILNG)
       IF (CEILNG .GT. NXSTOP) THEN
            SGTIME = 1.0
            COUNT = TEMPST
            TEMPST =  COUNT + 1.0
            TEMPRT = RTIME
            RTIME = TEMPRT + 1.0
            GOTO 700
       END IF
       SGTIME = TEMPST
       RETURN
       END
       
       
       SUBROUTINE MVCALC (PMVMAX)
 
       REAL AHE, BHE, AN2, BN2, AHEN2, BHEN2, PAMB
       REAL PHE, PN2, PHEN2, MVALUE, PERCMV, PMVMAX
       DIMENSION AHE(16), BHE(16), AN2(16), BN2(16) 
       DIMENSION AHEN2(16), BHEN2(16), PHE(16), PN2(16)
       DIMENSION PHEN2(16), MVALUE(16), PERCMV(16)
       COMMON /C/ PHE, PN2, /D/ PAMB, /E/ AHE, BHE, AN2, BN2 
       PMVMAX = 0.0
       DO 800 I = 1,16
       PHEN2(I) = PHE(I) + PN2(I)
       AHEN2(I) = (PHE(I)*AHE(I) + PN2(I)*AN2(I))/PHEN2(I)
       BHEN2(I) = (PHE(I)*BHE(I) + PN2(I)*BN2(I))/PHEN2(I)
       MVALUE(I) = PAMB/BHEN2(I) + AHEN2(I)
       PERCMV(I) = PHEN2(I)/MVALUE(I)
       PMVMAX = MAX(PMVMAX, PERCMV(I))  
 800   CONTINUE
       RETURN
       END
       
       
       BLOCK DATA COEFFS
       REAL AHE, BHE, AN2, BN2
       DIMENSION AHE(16), BHE(16), AN2(16), BN2(16)
       COMMON /E/ AHE, BHE, AN2, BN2
       DATA AHE(1)/16.189/,AHE(2)/13.830/,AHE(3)/11.919/,AHE(4)/10.458/
       DATA AHE(5)/9.220/,AHE(6)/8.205/,AHE(7)/7.305/,AHE(8)/6.502/
       DATA AHE(9)/5.950/,AHE(10)/5.545/,AHE(11)/5.333/
       DATA AHE(12)/5.189/,AHE(13)/5.181/,AHE(14)/5.176/
       DATA AHE(15)/5.172/,AHE(16)/5.119/
       DATA BHE(1)/0.4770/,BHE(2)/0.5747/,BHE(3)/0.6527/,BHE(4)/0.7223/
       DATA BHE(5)/0.7582/,BHE(6)/0.7957/,BHE(7)/0.8279/,BHE(8)/0.8553/
       DATA BHE(9)/0.8757/,BHE(10)/0.8903/,BHE(11)/0.8997/
       DATA BHE(12)/0.9073/,BHE(13)/0.9122/,BHE(14)/0.9171/
       DATA BHE(15)/0.9217/,BHE(16)/0.9267/
       DATA AN2(1)/11.696/,AN2(2)/10.000/,AN2(3)/8.618/,AN2(4)/7.562/
       DATA AN2(5)/6.667/,AN2(6)/5.600/,AN2(7)/4.947/,AN2(8)/4.500/
       DATA AN2(9)/4.187/,AN2(10)/3.798/,AN2(11)/3.497/
       DATA AN2(12)/3.223/,AN2(13)/2.850/,AN2(14)/2.737/
       DATA AN2(15)/2.523/,AN2(16)/2.327/
       DATA BN2(1)/0.5578/,BN2(2)/0.6514/,BN2(3)/0.7222/,BN2(4)/0.7825/
       DATA BN2(5)/0.8126/,BN2(6)/0.8434/,BN2(7)/0.8693/,BN2(8)/0.8910/
       DATA BN2(9)/0.9092/,BN2(10)/0.9222/,BN2(11)/0.9319/
       DATA BN2(12)/0.9403/,BN2(13)/0.9477/,BN2(14)/0.9544/
       DATA BN2(15)/0.9602/,BN2(16)/0.9653/
       END
           
